<template>
    <div class="search-panel">
        <el-form ref="form" :model="form" label-width="90px" class="search-form">
            <el-form ref="form" :model="form" label-width="90px" class="search-form">
                <el-form-item label="企业名称：" size="mini" class="search-panel-item">
                    <el-select style="width: 100%" v-model="form.pipelineType" @change="handlePipelineType"
                               :popper-class="'select-down'">
                        <el-option
                                v-for="item in items"
                                :key="item.code"
                                :label="item.name"
                                :value="item.name">
                        </el-option>
                    </el-select>
                </el-form-item>
                <el-form-item label="事件状态：" size="mini">
                    <el-select style="width: 100%" v-model="form.dataType" value-key="code"
                               :popper-class="'select-down'" @change="handleDataType">
                        <el-option
                                v-for="item in subItems"
                                :key="item.code"
                                :label="item.name"
                                :value="item">
                        </el-option>
                    </el-select>
                </el-form-item>
                <el-form-item label="事件类型：">
                    <el-radio-group v-model="form.transferData" class="levelOfRisk">
                        <el-radio v-for="(item,index) in form.levelOfRisk" :label="item.value" :key="index">
                            <span class="levelOfRisk-type">{{ item.name }}</span>
                        </el-radio>
                    </el-radio-group>
                </el-form-item>
                <div class="rightButtonSearch">
                    <el-input v-model="form.keyword" size="mini" placeholder="在此输入关键字搜索"></el-input>
                    <el-button class="el-icon-search" @click="handleSearch"></el-button>
                </div>
            </el-form>
        </el-form>
        <el-scrollbar style="height:286.22px">
            <div class="environmental-risk-list">
                <i class="state"></i>
                <div>
                    <h3>事件名称:XXX事件</h3>
                    <h5>事件事件:2021年3月21日
                        <el-button class="rt btn00fff6" size="mini" style="margin-right: 0.04rem;"
                                   @click="btnAffiliatedFacilities()">删除
                        </el-button>
                    </h5>
                    <p>事件状态：<span>审批阶段</span></p>
                    <p>事件类型：<span>真实事件</span>
                        <el-button class="rt btn00fff6" size="mini" style="margin-right: 0.04rem;"
                                   @click="btnAffiliatedFacilities()">事件管理
                        </el-button>
                    </p>
                </div>
            </div>
            <div class="environmental-risk-list">
                <i class="state"></i>
                <div>
                    <h3>事件名称:XXX事件</h3>
                    <h5>事件事件:2021年3月21日</h5>
                    <p>事件状态：<span>审批阶段</span></p>
                    <p>事件类型：<span>真实事件</span>
                        <el-button class="rt btn00fff6" size="mini" style="margin-right: 0.04rem;"
                                   @click="btnAffiliatedFacilities()">事件管理
                        </el-button>
                    </p>
                </div>
            </div>
            <div class="environmental-risk-list">
                <i class="state"></i>
                <div>
                    <h3>事件名称:XXX事件</h3>
                    <h5>事件事件:2021年3月21日</h5>
                    <p>事件状态：<span>审批阶段</span></p>
                    <p>事件类型：<span>真实事件</span>
                        <el-button class="rt btn00fff6" size="mini" style="margin-right: 0.04rem;"
                                   @click="btnAffiliatedFacilities()">事件管理
                        </el-button>
                    </p>
                </div>
            </div>
        </el-scrollbar>
    </div>
</template>

<script>
import { LayerEntEmer } from '../../../../../conf/layers/LayerEntEmer'

export default {
  name: 'EventQuery',
  data () {
    return {
      list: [],
      items: [
        { name: '金陵石化' },
        { name: '南京化学' }
      ],
      subItems: LayerEntEmer.layers,
      form: {
        pipelineType: '',
        dataType: '',
        keyword: '',
        transferData: 1,
        levelOfRisk: [
          {
            name: '真实事件',
            value: 1
          },
          {
            name: '模拟演练',
            value: 2
          }
        ]
      }
    }
  },
  methods: {
    handleDataType () {
      console.log('ite')
    },
    handlePipelineType () {
      console.log('数据查询')
    },
    handleSearch () {
      console.log('item')
    },
    btnAffiliatedFacilities () {
      console.log('item')
    }
  }
}
</script>

<style scoped>

</style>
